Altibase.jdbc.driver.logging

## Class SingleLineFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - Altibase.jdbc.driver.logging.SingleLineFormatter

    public class SingleLineFormatter
    extends java.util.logging.Formatter

읽기 쉽도록 LogRecord를 1~2라인으로 생생해주는 customized formatter

Author:
  yjpark

### Constructor Summary

Constructors
Constructor and Description
`SingleLineFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `format(java.util.logging.LogRecord aRecord)` LogRecord의 format을 설정한다.

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleLineFormatter

    public SingleLineFormatter()

### Method Detail

#### format

    public java.lang.String format(java.util.logging.LogRecord aRecord)

LogRecord의 format을 설정한다.

Specified by:
  `format` in class `java.util.logging.Formatter`
Parameters:
  `aRecord` - format할 log record
Returns:
  format된 log record